.container {
  width: 100%;
  margin-top: 75px;

  @media (max-width: 768px) {
    margin-top: 25px;
  }

  .winner {
    width: 100%;
    min-height: 98px;
    margin-bottom: 21px;
    background-color: var(--bright-turquoise);
    display: flex;
    flex-direction: column;
    justify-content: center;

    .label {
      font-family: WorkSans;
      font-size: 15px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: normal;
      letter-spacing: 1.85px;
      margin-left: 28px;
      color: var(--black);
    }

    .result {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      margin-top: 10px;

      .text {
        font-family: WorkSans;
        font-size: 17px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        color: var(--black);
        margin-left: 28px;
        word-break: break-word;

        @media (min-width: 230px) {
          font-size: 22px;
        }
      }

      .tag {
        font-family: WorkSans;
        font-size: 17px;
        font-weight: 300;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        color: var(--black);
        margin-left: 15px;
        word-break: break-word;

        @media (min-width: 230px) {
          font-size: 22px;
        }
      }

      .value {
        font-size: 17px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        color: var(--black);
        margin-right: 31px;
        word-break: break-word;

        @media (min-width: 230px) {
          font-size: 22px;
        }
      }
      .tieText {
        font-size: 22px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        color: var(--black);
        &:first-of-type {
          margin-left: 28px;
        }
      }
    }
  }

  .emptyResultInfo {
    width: 100%;
    height: 60px;
    margin-bottom: 21px;
    background-color: var(--dark-gray-blue);
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-family: WorkSans;
    font-size: 22px;
    font-weight: 600;
    color: var(--pale-blue);

    .text {
      text-align: center;
    }
  }

  .success {
    display: flex;
    width: 100%;
    background-color: var(--dark-gray-blue);
    align-items: center;
    justify-content: center;
    height: 60px;
    margin-bottom: 11px;
    font-family: WorkSans;
    font-size: 22px;
    font-weight: 600;
    color: var(--pale-blue);
  }

  .progressConnected {
    background-color: #143962;
  }

  .progressNotConnected {
    background-color: var(--strawberry);
  }

  .progressbar {
    align-items: center;
    display: flex;
    height: fit-content;
    position: relative;
    width: 100%;
    height: 60px;

    .label {
      position: absolute;
      z-index: 2;
      width: 100%;
      text-align: center;
      font-family: WorkSans;
      font-size: 22px;
      font-weight: 500;
      color: var(--pale-blue);
    }

    .progress {
      width: 100%;
      border-radius: 0px;
    }

    .notConnected {
      background-color: var(--strawberry);
    }
  }

  .search {
    margin-top: 10px;
  }

  .ballot {
    background-color: var(--white);
    font-size: 20px;
    color: #0e273b;
    width: auto;
    resize: vertical;
    overflow-y: auto;
    min-height: 300px;
    max-height: 500px;
    margin-top: 10px;
    overflow-y: scroll;

    &::-webkit-scrollbar {
      width: 12px;
    }

    &::-webkit-scrollbar-track {
      background-color: transparent;
    }

    &::-webkit-scrollbar-thumb {
      background-color: var(--light-gray-blue);
      border: 3px solid transparent;
      border-radius: 30px;
    }

    .item {
      display: flex;
      min-height: 86px;
      //height: 86px;
      position: relative;
      border-bottom: 1px solid #dbdfe2;

      .info {
        display: flex;
        align-items: center;
        z-index: 2;
        position: relative;
        width: 100%;
        justify-content: space-between;

        .data {
          display: flex;
          font-family: WorkSans;
          font-size: 18px;
          align-items: center;
          background-color: transparent;
          border: 0;
          padding: 12px 12px 12px 52px;
          height: 85%;
          width: 100%;

          @media (max-width: 768px) {
            margin-left: 11px;
          }

          .choiceImage {
            margin-right: 18px;
          }

          .text {
            font-weight: 600;
            color: var(--black);
            margin-right: 20px;
            word-break: break-all;
          }

          .tag {
            font-weight: 300;
            font-stretch: normal;
            font-style: normal;
            line-height: normal;
            letter-spacing: normal;
            color: #86939d;
            text-transform: uppercase;
          }
        }

        .box {
          margin-right: 17px;

          // @media (max-width: 768px) {
          //   margin-right: 0;
          // }

          fieldset {
            width: 156px;
            height: 42px;
            padding: 0 1rem;

            @media (max-width: 768px) {
              width: 52px;
            }

            &.disabled {
              border: solid 1.5px var(--gray);
            }

            &.editable {
              border: solid 1.5px var(--dodger-blue);
            }

            legend {
              font-family: WorkSans;
              font-size: 13px;
              font-weight: 400;
              color: var(--dodger-blue);

              &.disabled {
                color: var(--gray);
              }
            }

            input {
              font-family: WorkSans;
              font-size: 22px;
              color: var(--black);
              font-weight: 500;
              width: 100%;
              border: 0;
              text-align: right;
              -moz-appearance: textfield;
              background-color: transparent;

              &.disabled {
                color: var(--gray);
              }

              &::placeholder {
                color: var(--black);
                opacity: 1;
              }

              &:-ms-input-placeholder {
                color: var(--black);
              }

              &::-ms-input-placeholder {
                color: var(--black);
              }
            }
          }
        }
      }

      .volume {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;

        .progress {
          z-index: 1;
          height: 100%;
          background-color: var(--white);
        }
      }

      // &:nth-child(odd) {
      //   .volume span span {
      //     background-color: rgba(69, 184, 255, 0.26);
      //   }
      // }

      // &:nth-child(even) {
      //   .volume span span {
      //     background-color: rgba(69, 184, 255, 0.1);
      //   }
      // }
    }

    .stripDescription {
      transition: background-color 0.2s;

      &:hover {
        background-color: #f2e6fb;
      }
    }

    .emptyList {
      margin: 24px;
      font-weight: 500;
    }
  }
  .binaryVoteBallot {
    min-height: 185px;
  }

  .footer {
    width: 100%;
    text-align: center;

    .danger {
      display: flex;
      margin-top: 25px;
      padding: 10px;
      background-color: #f1cfd0;
      font-family: WorkSans;
      justify-content: center;
      font-size: 22px;
      text-align: center;
      align-items: center;
      color: var(--strawberry);
      height: 85px;
    }

    .votebutton {
      border-radius: 0;
      width: 100%;
      height: 88px;
      color: var(--black);
      background-color: var(--bright-turquoise);
      border: none;
      font-size: 24px;
      font-weight: 600;
      letter-spacing: 3px;
      text-align: center;
      font-family: WorkSans;
      text-transform: uppercase;

      &:hover {
        color: var(--black);
        cursor: pointer;
      }

      &:disabled {
        color: var(--white) !important;
        background-color: var(--gray);
      }
    }

    .cancelbutton {
      border: 0;
      color: red;
      background-color: transparent;
      text-align: center;
      width: 100%;
      margin-top: 10px;
      text-decoration: underline;
    }
  }
  button {
    &.binaryVote {
      background-color: var(--black);
      color: #ffffff;
      cursor: pointer;
      &:hover {
        background-color: #1e537b;
      }
    }
  }
}
.clickable {
  cursor: pointer;
}
